import React from 'react';
import PropTypes from 'prop-types';

import Header from '../Header';
import './styles.scss';
import '../../styles/code.scss';

type baseType = {
  children: React.ReactNode
}

const Base = ({ children }: baseType) => (
  <>
    <div className="ContainerMD">
      <Header />
      <main>{children}</main>
    </div>
  </>
);

Base.propTypes = {
  children: PropTypes.node.isRequired,
};

export default Base;
